Download it now!
Bug 88098 - FILEOPEN: import AppleWorks .cwk spreadsheet - wrong formula when first line/column empy
Summary: FILEOPEN: import AppleWorks .cwk spreadsheet - wrong formula when first line/...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
4.3.4.1 release
Hardware: All All
: medium normal
Assignee: osnola
URL:
Whiteboard: target:4.5.0 target:4.4.0.2
Keywords:
Depends on:
Blocks:
 
Reported: 2015-01-06 10:06 UTC by thierry.hauth
Modified: 2017-07-31 08:42 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample original spreadsheet Appleworks document .cwk (27.97 KB, application/appleworks)
2015-01-06 10:06 UTC, thierry.hauth
Details
screenshot original appleworks (51.97 KB, image/jpeg)
2015-01-06 10:09 UTC, thierry.hauth
Details
screenshot result LibreOffice (40.12 KB, image/jpeg)
2015-01-06 10:10 UTC, thierry.hauth
Details

Note You need to log in before you can comment on or make changes to this bug.
Description thierry.hauth 2015-01-06 10:06:05 UTC
Created attachment 111839 [details]
Sample original spreadsheet Appleworks document .cwk

A have a lot of Appleworks spreadsheet documents on MacOSX 10.9.x to convert in LibreOffice 4.3.x. 

If the original Appleworks .cwk spreadsheet document contains one or some empty lines and/or empty column on the first range (column A, line 1), then LibreOffice open the document with the datas but all the formulas are wrong.
 
LibreOffice seems to open the document in column A line 1 but in fact this is column B line 2 of Appleworks document.

LibreOffice 'forget' (why ?) the first empty lines/column.
The result is that all the formulas and calculations are false.
Comment 1 thierry.hauth 2015-01-06 10:09:56 UTC
Created attachment 111840 [details]
screenshot original appleworks
Comment 2 thierry.hauth 2015-01-06 10:10:24 UTC
Created attachment 111841 [details]
screenshot result LibreOffice
Comment 3 Alex Thurgood 2015-01-06 11:19:55 UTC
Confirming behaviour in LO 4352 on OSX 10.10.1, but don't know whether this is intended - the filter code might well ignore blank lines
Comment 4 osnola 2015-01-06 11:50:37 UTC
No, it was not really intended... 

Ie. historically, libmwaw-0.2 can not export spreadsheet, so it converts embedded spreadsheets in text document as tables ( where suppressing first empty rows and empty columns can make sense ) and when I "copy-paste" this code to create spreadsheet in libmwaw-0.3, I forgot that it did that :-~

So, I know what must be changed in the code to avoid this (but I must first check if it is also ok for embedded spreadsheets) ; I will commit a patch in libmwaw ( probably before the end of the week-end ) and will update mwawOSX in https://sourceforge.net/projects/libmwaw/files/
Comment 5 osnola 2015-01-06 14:47:09 UTC
Must be fixed by https://sourceforge.net/p/libmwaw/libmwaw/ci/c092ac823e50083c04464565365ddd4af71f8c89 .

Note: I will update mwawOSX tomorrow...
Comment 6 Commit Notification 2015-01-06 16:04:03 UTC
David Tardon committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2a8f6a8a81c568d9ad73838072d287ac4927649f

fdo#88098 ClarisWorks: import empty starting lines/columns

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2015-01-06 17:02:21 UTC
David Tardon committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c475835cab890a69d3c07ddc85ce131b64affaa3&h=libreoffice-4-4

fdo#88098 ClarisWorks: import empty starting lines/columns

It will be available in 4.4.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 thierry.hauth 2015-01-12 13:46:54 UTC
hello,

I have tested the new version 4.4.0.2 (64bits) on OSX mavericks 10.9.5,
and now, Libreoffice open the Appleworks spreadsheet documents correctly.
The first empty lines and column are no more ignored. Calculations are correct.

We are hundred users and we have thousand Appleworks documents (text and spreadsheet).
For this fonctionnality (import .cwk), we have migrated from OpenOffice to LibreOffice, last year.

So, thank you for all.
Thierry Hauth, 4murs company.
Comment 9 vihsa 2017-07-01 12:42:56 UTC
attachment 111839 [details] does not

[1] list in file browser
[2] open in libreoffice viewer

Version: 6.0.0.0.alpha0+
Build ID: 643da8ec4e721d33dfdf8d78bedd50a915f1188d TinderBox: Android-ARM@24-Bytemark-Hosting, Branch: Master, Time: June 26, 2017 01:29:17
Comment 10 David Tardon 2017-07-31 08:42:09 UTC
(In reply to krishna [:kr1shna] from comment #9)
> attachment 111839 [details] does not
> 
> [1] list in file browser
> [2] open in libreoffice viewer

Please don't hijack existing bugs to insert meaningless comments.